function S=gitinfo()
% FUNCTION fc_hypermesh.gitinfo(): returns some informations on the package/toolbox.
%
%    Copyright (C) 2016-2022 F. Cuvelier
%
  S=struct('name','fc-hypermesh', 'tag','1.0.4','commit','7f56fea428e57d2f30ae9d7b1f99bd6078807d23','date', '2022-12-19','time','09-35-48','status',0);return; % automatically updated
  rep=fc_hypermesh.path();
  if fc_tools.git.isrepository(rep)
    S=struct('name',  fc_tools.git.get_name(rep), ...
             'tag',   fc_tools.git.get_tag(rep), ...
             'commit',fc_tools.git.get_commit(rep), ...
             'date',  fc_tools.git.get_date(rep), ...
             'time',  fc_tools.git.get_time(rep), ...
             'status',fc_tools.git.isup2date(rep));
  else
    tag='';
    commit='';
    strdate='';
    strtime='';
    S=struct('name','fc-hypermesh','tag',tag,'commit',commit,'date',strdate,'time',strtime,'status',-1);
  end
end
